CVE-2014-4503 (retired)

Priority
Description
The parse_notify function in util.c in sgminer before 4.2.2 and cgminer
3.3.0 through 4.0.1 allows man-in-the-middle attackers to cause a denial of
service (application exit) via a crafted (1) bbversion, (2) prev_hash, (3)
nbit, or (4) ntime parameter in a mining.notify action stratum message.
Package
Upstream:released (4.4.2)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Trusty/esm:DNE (trusty was needed)
Ubuntu 16.04 LTS (Xenial Xerus):not-affected
Ubuntu 18.04 LTS (Bionic Beaver):not-affected
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected
Ubuntu 19.04 (Disco Dingo):not-affected
Ubuntu 19.10 (Eoan):not-affected
Patches:
Other:https://github.com/sgminer-dev/sgminer/commit/910c36089940e81fb85c65b8e63dcd2fac71470c
More Information

Updated: 2019-04-26 14:33:41 UTC (commit 30899e40836d26e1bb5f0b072d31fd87b6cf3bd4)